Ext.setup({
    icon: 'icon.png', // ホームスクリーンにブックマークした時のアイコン
    glossOnIcon: true, // アイコンの光沢(true/false)
    phoneStartupScreen:'phone_startup.png', // スタートアップ時にでてくる画像(スマートフォン用)
    tabletStartupScreen: 'tablet_startup.png', // スタートアップ時にでてくる画像(タブレット用)
    onReady: function(){

        var tapHandler = function(button, event) {
            var txt = "User tapped the '" + button.text + "' button.";
            Ext.getCmp('toolbartxt').update(txt);
        };

        var buttonsGroup1 = [{
            text: 'Back',
            ui: 'back',
            handler: tapHandler
        }, {
            text: 'Default',
            handler: tapHandler
        }, {
            text: 'Round',
            ui: 'round',
            handler: tapHandler
        }];

        var dockedItems = [{
            xtype: 'toolbar',
            ui: 'light',
            items: buttonsGroup1,
            dock: 'top'
        }];

        var panel = new Ext.Panel({
            id: 'toolbartxt',
            html: '',
            fullscreen: true,
            styleHtmlContent: true,
            dockedItems: dockedItems
        });
    }
});
