Ext.setup({
    icon: '', // ホームスクリーンにブックマークした時のアイコン
    glossOnIcon: true, // アイコンの光沢(true/false)
    phoneStartupScreen:  '', // スタートアップ時にでてくる画像(スマートフォン用)
    tabletStartupScreen: '', // スタートアップ時にでてくる画像(タブレット用)
    onReady: function(){
        // onReadyの中にパネルを追加します
        var panel = new Ext.TabPanel({
            // タブをiconにする為に必要
            tabBar: {
                dock: 'bottom',
                layout: {
                    pack: 'center'
                }
            },
            fullscreen: true,
            cls: 'myPanel01',
            items: [{
                // タブにクラスもつけられます
                cls: 'tabclass1',
                // iconの種類
                iconCls: 'info',
                html: '<div class="text01">タブ1</div>'
            }, {
                iconCls: 'favorites',
                // これでバッジをつける事ができます
                badgeText: '4',
                html: '<div class="text01">タブ2</div>'
            }, {
                iconCls: 'download',
                html: '<div class="text01">タブ3<div>'
            }]  
        });
    }
});
