Ext.setup({
    icon: '', // ホームスクリーンにブックマークした時のアイコン
    glossOnIcon: true, // アイコンの光沢(true/false)
    phoneStartupScreen:  '', // スタートアップ時にでてくる画像(スマートフォン用)
    tabletStartupScreen: '', // スタートアップ時にでてくる画像(タブレット用)
    onReady: function(){

        var carousel = new Ext.Carousel({
            direction: 'horizontal',
            cls: 'myPanel01',
            activeItem: 1, // 0から始まる
            items: [{ 
                html: 'Tab1'
            },  
            {
                html: 'Tab2'
            },  
            {
                html: 'Tab3'
            }]  
        }); 
                
        // onReadyの中にパネルを追加します
        var panel = new Ext.Panel({
            fullscreen: true,
            layout: {
                type: 'vbox',
                align: 'stretch'
            },
            defaults: {
                flex: 1
            },  
            items: [carousel]
        }); 
    }   
});
