Ext.setup({
    icon: '', // ホームスクリーンにブックマークした時のアイコン
    glossOnIcon: true, // アイコンの光沢(true/false)
    phoneStartupScreen:  '', // スタートアップ時にでてくる画像(スマートフォン用)
    tabletStartupScreen: '', // スタートアップ時にでてくる画像(タブレット用)
    onReady: function(){

        var formBase = {
            url   : 'post.php',
            scroll: 'vertical',
            fullscreen: true,
            standardSubmit : true,
            autoRender: true,
            floating: true,
            modal: true,
            centered: true,
            hideOnMaskTap: false,
            height: 385,
            width: 480,

            items: [{
                    xtype: 'fieldset',
                    title: 'sample',
                    instructions: 'form test',
                    defaults: {
                        required: true,
                        labelAlign: 'left',
                        labelWidth: '40%'
                    },
                    items: [{
                        xtype: 'textfield',
                        name : 'name',
                        label: 'Name',
                        useClearIcon: true,
                        autoCapitalize : false
                    }, {
                        xtype: 'passwordfield',
                        name : 'password',
                        label: 'Password',
                        value: 'password',
                        useClearIcon: false
                    }, {
                        xtype: 'textfield',
                        name : 'disabled',
                        label: 'Disabled',
                        disabled: true,
                        useClearIcon: true
                    }, {
                        xtype: 'emailfield',
                        name : 'email',
                        label: 'Email',
                        placeHolder: 'hoge@xxx.com',
                        useClearIcon: true
                    }, {
                        xtype: 'urlfield',
                        name : 'url',
                        label: 'Url',
                        placeHolder: 'http://xxx.com',
                        useClearIcon: true
                    }]
                }
            ],
            dockedItems: [{
                xtype: 'toolbar',
                dock: 'bottom',
                items: [
                    {xtype: 'spacer'},
                    new Ext.Button({cls:'startBtn', text:'submit', handler:function(){form.submit();}}),
                    {xtype: 'spacer'}
                ]
            }]
        };

        var form = new Ext.form.FormPanel(formBase);
        form.show();
    }
});
