/*----------------------------------------------------------
 * ui-myWidget.js
 * author Ryuto Kurokawa
 * 
 *----------------------------------------------------------*/
$.widget("ui.myWidget",{
	options: {
		txt:"メッセージを追加",
		num: 0
	},
	_create:function(){
		//widgetをjQueryオブジェクトに適用すると最初に呼ばれる関数
		
		//widgetで使用するカスタムイベント名にプリフィックスを設定
		this.widgetEventPrefix = "my.";
		return this;
	},
	_init:function(){
		//_createの次に続けて呼ばれる関数

		//this.elementはWidgetが適用されたDOM
		$(this.element).children("#button")
							.text(this.options.txt)
							.click($.proxy(this._addMessage,this));

		return this;
	},
	//アンダースコアで始まる関数名の関数はプライベート関数
	_addMessage:function(){
		var message = $("#message").val();

		if(message == "") return;

		//inputに入力された文字を#logに表示
		$("#log").append("<li>" + message + "</li>");
		$("#message").val("");
		this.options.num++;

		//カスタムイベントの発火
		this._trigger("added");

	},
	//アンダースコアで始まらない関数名の関数はパブリック関数
	clearLog:function(){
		//ログ表示とログの件数のクリア
		$("#log").children().remove();
		this.options.num = 0;

		return this;
	}
});

